MarinerWrtEntry Struct Reference documentation

MarinerWrtEntry Struct Referencefinal

a entry to store a zone structure More...

`#include <MarinerWrtParser.hxx>`

Inheritance diagram for MarinerWrtEntry:

## Public Member Functions
| MarinerWrtEntry ()
| constructor
| ~MarinerWrtEntry () final
| destructor
std::string | name () const
| returns the entry name;
Public Member Functions inherited from MWAWEntry
| MWAWEntry ()
| constructor
| MWAWEntry (MWAWEntry const &)=default
MWAWEntry & | operator= (MWAWEntry const &)=default
MWAWEntry & | operator= (MWAWEntry &&)=default
virtual | ~MWAWEntry ()
| destructor
void | setBegin (long off)
| sets the begin offset
void | setLength (long l)
| sets the zone size
void | setEnd (long off)
| sets the end offset
long | begin () const
| returns the begin offset
long | end () const
| returns the end offset
long | length () const
| returns the length of the zone
bool | valid () const
| returns true if the zone length is positive
bool | operator== (const MWAWEntry &a) const
| basic operator==
bool | operator!= (const MWAWEntry &a) const
| basic operator!=
bool | isParsed () const
| a flag to know if the entry was parsed or not
void | setParsed (bool ok=true) const
| sets the flag m_parsed to true or false
void | setType (std::string const &newType)
| sets the type of the entry: BTEP,FDPP, BTEC, FDPC, PLC , TEXT, ...
std::string const & | type () const
| returns the type of the entry
bool | hasType (std::string const &typ) const
| returns true if the type entry == type
void | setName (std::string const &nam)
| sets the name of the entry
std::string const & | name () const
| name of the entry
bool | hasName (std::string const &nam) const
| checks if the entry name is equal to name
int | id () const
| returns the id
void | setId (int newId)
| sets the id
std::string const & | extra () const
| retrieves the extra string
void | setExtra (std::string const &s)
| sets the extra string

## Public Attributes
int | m_fileType
| the entry type
int | m_N
| the number of value
int | m_value
| a unknown value

## Friends
std::ostream & | operator<< (std::ostream &o, MarinerWrtEntry const &ent)
| operator<<

## Additional Inherited Members
Protected Attributes inherited from MWAWEntry
long | m_begin
| the begin of the entry.
long | m_length
| the size of the entry
std::string | m_type
| the entry type
std::string | m_name
| the name
std::string | m_extra
| an extra string
int | m_id
| an identificator
bool | m_parsed
| a bool to store if the entry is or not parsed

## Detailed Description

a entry to store a zone structure

## Constructor & Destructor Documentation

## ◆ MarinerWrtEntry()

MarinerWrtEntry::MarinerWrtEntry | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## ◆ ~MarinerWrtEntry()

MarinerWrtEntry::~MarinerWrtEntry | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ name()

std::string MarinerWrtEntry::name | ( |  | ) | const

returns the entry name;

Referenced by MarinerWrtParser::readDocInfo(), MarinerWrtText::readFontNames(), MarinerWrtText::readFonts(), MarinerWrtText::readPLCZone(), MarinerWrtGraph::readPostscript(), MarinerWrtText::readRulers(), MarinerWrtParser::readSeparator(), MarinerWrtText::readStyleNames(), MarinerWrtText::readTextStruct(), MarinerWrtGraph::readToken(), MarinerWrtParser::readZone(), MarinerWrtText::readZone(), MarinerWrtParser::readZone13(), MarinerWrtParser::readZoneb(), MarinerWrtParser::readZonec(), MarinerWrtParser::readZoneDim(), and MarinerWrtParser::readZoneHeader().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | MarinerWrtEntry const & | ent )
| friend

operator<<

## Member Data Documentation

## ◆ m_fileType

int MarinerWrtEntry::m_fileType

the entry type

Referenced by MarinerWrtEntry(), name(), MarinerWrtParser::readEntryHeader(), MarinerWrtText::readPLCZone(), MarinerWrtParser::readZone(), and MarinerWrtParser::readZoneDim().

## ◆ m_N

int MarinerWrtEntry::m_N

the number of value

Referenced by MarinerWrtEntry(), MarinerWrtParser::readEntryHeader(), MarinerWrtText::readFontNames(), MarinerWrtText::readFonts(), MarinerWrtText::readPLCZone(), MarinerWrtText::readRulers(), MarinerWrtText::readStyleNames(), MarinerWrtText::readTextStruct(), MarinerWrtParser::readZoneb(), MarinerWrtParser::readZonec(), and MarinerWrtParser::readZoneDim().

## ◆ m_value

int MarinerWrtEntry::m_value

a unknown value

Referenced by MarinerWrtEntry(), and MarinerWrtParser::readEntryHeader().

The documentation for this struct was generated from the following files:

- MarinerWrtParser.hxx
- MarinerWrtParser.cxx